//Trevor Nierman
//R957F692
//Program 2

/*******************************************************************************
Description of the problem:
	This program seeks to create an effective inventory system containing the 
	class "Part," which contains an item name, quantity, price, total, and part
	number. All values are entered by the user, except total, which is 
	calculated from the price and quantity.
	
Psuedo code:
	Class Name: Part
	This class describes the parts in inventory

	Data:
	int part_num: The part number unique to each part. Generated by program.
	string item: Name of item. 
	int quantity: Number of inventory on hand.
	float price: Price per part
	float total: Total value of all parts of this type. Calculated by program. 

	Mutator Functions:
	change_item: Modifies 'item' of part.
	change_quantity: Modifies 'quantity' of part.
	change_price: Modifies 'price' of part.
	calc_total: Calculates the total cost of inventory for the part.
	change_total: Sets total for part.
	change_num: Modifies 'part number' of part.

	Accessor Functions:
	get_num: Returns 'part_num' of part.
	get_item: Returns 'item' of part.
	get_quantity: Returns part 'quantity'.
	get_price: Returns 'price' of part.
	get_total: Returns 'total' for part.

	Functions:
	calc_total: Calculates and returns 'total' as quantity * price.
	input: 'price' and 'quantity'.
	output: 'total'
	'total' = 'quantity' * 'price'
*/

//Part class
class Part
{
	int part_num, quantity;
	string item;
	float price, total;
	
	public:
		//Constructor
		#ifdef	CONSTRUCTOR
			Part(int num, string name, int quant, float p);
		#endif
		
		//Mutator Functions
		void set_item(string name);
		void set_quantity(int quant);
		void set_price(float p);
		void set_num(int num);
		void set_tot(float tot);
		
		//Accessor functions
		int get_num(void);
		string get_item(void);
		int get_quantity(void);
		float get_price(void);
		float get_total(void);
		
		//Calculates the total
		void calc_total(void);
};
